// grid style

@use 'fun';

// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-column($value) {
  grid-column: $value;
}
// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-column-start($value) {
  grid-column: $value;
}
// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-column-end($value) {
  grid-column: $value;
}

// none inherit
// grid-template-rows / grid-template-columns
// grid-template-areas grid-template-rows / grid-template-column
@mixin grid-template($value) {
  grid-template: $value;
}
// none inherit "strings"
@mixin grid-template-areas($value) {
  grid-template-areas: $value;
}
// none
// <track-list> || <auto-track-list>
@mixin grid-template-rows($value) {
  grid-template-rows: $value;
}
// none
// <track-list> || <auto-track-list>
@mixin grid-template-columns($value) {
  grid-template-columns: $value;
}

// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-column-start($value) {
  grid-column-start: $value;
}

// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-column-end($value) {
  grid-column-end: $value;
}

// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-row($value) {
  grid-row: $value;
}

// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-row-start($value) {
  grid-row-start: $value;
}

// auto inherit
// span + <integer> [/ span + <integer>]
// span + <integer> [/ <integer>]
@mixin grid-row-end($value) {
  grid-row-end: $value;
}

// row column dense 'row dense' 'column dense'
@mixin grid-flow($value) {
  grid-auto-flow: $value;
}

// auto min-content max-content
// <length> or <percentage> or <flex>
// minmax() fit-content()
@mixin grid-cols($value) {
  grid-auto-columns: $value;
}

// auto min-content max-content
// <length> or <percentage> or <flex>
// minmax() fit-content()
@mixin grid-rows($value) {
  grid-auto-rows: $value;
}

//  One or two values with <length> or <percentage>
// calc() [calc()]
@mixin gap($value) {
  gap: $value;
}

// <length> <percentage> calc()
@mixin gap-x($value) {
  column-gap: $value;
}

// <length> <percentage> calc()
@mixin gap-y($value) {
  row-gap: $value;
}
